<?php

namespace App\Models;

class AttachmentModel
{
  public function __construct(
    private int $id,
    private int $ticketId,
    private int $userId,
    private string $namaFile,
    private ?string $tipeFile,
    private ?int $ukuranFile,
    private string $tanggalUpload
  ) {}

  public function getId(): int
  {
    return $this->id;
  }

  public function getTicketId(): int
  {
    return $this->ticketId;
  }

  public function getUserId(): int
  {
    return $this->userId;
  }

  public function getNamaFile(): string
  {
    return $this->namaFile;
  }

  public function getTipeFile(): ?string
  {
    return $this->tipeFile;
  }

  public function getUkuranFile(): ?int
  {
    return $this->ukuranFile;
  }

  public function getTanggalUpload(): string
  {
    return $this->tanggalUpload;
  }
}
